Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions | Static Public Attributes
tlp::EdgeExtremityGlyphFactory Class Reference

`#include <EdgeExtremityGlyph.h>`

List of all members.

## Public Member Functions

- virtual ~EdgeExtremityGlyphFactory ()
- virtual EdgeExtremityGlyph * createPluginObject (EdgeExtremityGlyphContext *gc)=0
- virtual int getId () const =0
- virtual std::string getMajor () const
- virtual std::string getMinor () const
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Static Public Member Functions

- static void initFactory ()

## Static Public Attributes

- static TemplateFactory
  < EdgeExtremityGlyphFactory,
  EdgeExtremityGlyph,
  EdgeExtremityGlyphContext * > * factory

## Constructor & Destructor Documentation

virtual tlp::EdgeExtremityGlyphFactory::~EdgeExtremityGlyphFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual EdgeExtremityGlyph* tlp::EdgeExtremityGlyphFactory::createPluginObject | ( | EdgeExtremityGlyphContext * | gc | ) | `[pure virtual]`

virtual int tlp::EdgeExtremityGlyphFactory::getId | ( |  | ) | const`[pure virtual]`

virtual std::string tlp::EdgeExtremityGlyphFactory::getMajor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::EdgeExtremityGlyphFactory::getMinor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::EdgeExtremityGlyphFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::EdgeExtremityGlyphFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`

static void tlp::EdgeExtremityGlyphFactory::initFactory | ( |  | ) | `[inline, static]`

## Member Data Documentation

TemplateFactory<EdgeExtremityGlyphFactory, EdgeExtremityGlyph, EdgeExtremityGlyphContext *>* tlp::EdgeExtremityGlyphFactory::factory`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012